import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconFolder as IconFolderClass } from "../../../../components/icon/icons/folder.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconFolder = (props) => {
  IconFolderClass.define();
  const JSXElement = getReactComponent("gds-icon-folder");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconFolder.displayName = "IconFolder";
export {
  IconFolder
};
